export const sizePanel = (selection, props) => {
  const {
    sizes,
    spacing,
    onCircleClick
  } = props;

  const sizesSpacing = sizes.reduce((acc,curr,i) => {
    acc[i] = acc.length == 0 
    	? curr
      : acc[i-1] + sizes[i-1] + sizes[i] + spacing
    return acc
  },[]);
  
  console.log(sizesSpacing)
  
  const circles = selection.selectAll('circle')
    .data(sizes);
  circles.enter().append('circle')
    .merge(circles)
      .attr('cx', (d, i) => sizesSpacing[i])
      .attr('r', size => size)
      .on('click', onCircleClick);
};